MMEvents.createProcesses(event => {
  event
    .create('mm:bloodmagic_altar_recipe')
    .structureId('mm:bloodmagic_altar_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:redstone',
        count: 4
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:iron_ingot',
        count: 4
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:stone',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 1000
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:fluid',
        fluid: 'bloodmagic:life_essence_fluid',
        amount: 1000
      }
    })
    .output({
      type: 'mm:output/simple',
      ingredient: {
        type: 'mm:item',
        item: 'mysticalagriculture:machine_frame',
        count: 1
      }
    });
  })
     ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mysticalagriculture:infusion_altar', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'minecraft:stone',
    B: 'minecraft:red_wool',
    C: 'thermal:gold_gear',
    D: 'mysticalagriculture:machine_frame',
  }
)
event.shaped(
  Item.of('mysticalagriculture:infusion_pedestal', 1),
  [
    'ABA',
    'CDC', 
    'BBB'
  ],
  {
    A: 'minecraft:stone',
    B: 'minecraft:red_wool',
    C: 'thermal:gold_gear',
    D: 'mysticalagriculture:machine_frame',
  }
  )
  event.shaped(
  Item.of('mysticalagriculture:awakening_altar', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'minecraft:stone',
    B: 'minecraft:orange_wool',
    C: 'thermal:gold_gear',
    D: 'mysticalagriculture:infusion_altar',
  }
)
event.shaped(
  Item.of('mysticalagriculture:awakening_pedestal', 1),
  [
    'ABA',
    'CDC', 
    'BBB'
  ],
  {
    A: 'minecraft:stone',
    B: 'minecraft:orange_wool',
    C: 'thermal:gold_gear',
    D: 'mysticalagriculture:infusion_pedestal',
  }
  )
   event.custom({
    type: 'mysticalagriculture:infusion',
    input: {
      item: 'minecraft:wheat_seeds' 
    },
    ingredients: [
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' }
    ],
    result: {
      item: 'mysticalagriculture:prosperity_seed_base'
    },
    time: 10 // Durée en ticks (1 seconde = 20 ticks)
  });
   event.custom({
    type: 'mysticalagriculture:infusion',
    input: {
      item: 'minecraft:iron_ingot' 
    },
    ingredients: [
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' },
      { item: 'mysticalagriculture:prosperity_shard' }
    ],
    result: {
      item: 'mysticalagriculture:prosperity_ingot'
    },
    time: 10 // Durée en ticks (1 seconde = 20 ticks)
  });
});
